Bug 798330 - Hanging problem in sudo available with RHEL 6.1 and 6.2
Hanging problem in sudo available with RHEL 6.1 and 6.2
Status: CLOSED DUPLICATE of bug 769701
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sudo (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Daniel Kopeček
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 11:33 EST by Allan Voss
Modified: 2012-03-15 04:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-28 11:39:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allan Voss 2012-02-28 11:33:10 EST
Description of problem:

Sometimes sudo enters in an endless blocking state and never exits. The
called program finishes successfully, but is left in "zombie" state.

Version-Release number of selected component (if applicable):
1.7.4

How reproducible:
Very

Steps to Reproduce:
1. Follow steps available on http://blog.famzah.net/2010/11/01/sudo-hangs-and-leaves-the-executed-program-as-zombie/
2.
3.
  
Actual results:
System hangs

Expected results:
no hang

Additional info:

This is already fixed in upstream sudo:
http://www.sudo.ws/sudo/bugs/show_bug.cgi?id=447
Comment 1 Daniel Kopeček 2012-02-28 11:39:31 EST

*** This bug has been marked as a duplicate of bug 769701 ***

Note You need to log in before you can comment on or make changes to this bug.